# Change Log

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

<a name="0.8.1"></a>
## [0.8.1](https://github.com/meetalva/alva/compare/v0.8.0...v0.8.1) (2018-10-25)


### Bug Fixes

* correct user visible spelling errors ([27d59a4](https://github.com/meetalva/alva/commit/27d59a4))
* **menu:** readd the function to open the programm info window with `About Alva` ([bd0cf5e](https://github.com/meetalva/alva/commit/bd0cf5e))
* do not open main file in development ([#629](https://github.com/meetalva/alva/issues/629)) ([f9a7509](https://github.com/meetalva/alva/commit/f9a7509))
* honor back/next state on page drops correctly ([#636](https://github.com/meetalva/alva/issues/636)) ([aa67120](https://github.com/meetalva/alva/commit/aa67120))
* prevent new windows from user interactions ([6dfe0ab](https://github.com/meetalva/alva/commit/6dfe0ab))
* silence some dev warnings ([#635](https://github.com/meetalva/alva/issues/635)) ([a7e70af](https://github.com/meetalva/alva/commit/a7e70af))



<a name="0.8.0"></a>
# [0.8.0](https://github.com/meetalva/alva/compare/v0.6.0...v0.8.0) (2018-09-20)


### Bug Fixes

* **auto-updater:** correct value for progress bar and reset progress bar ([153806c](https://github.com/meetalva/alva/commit/153806c))
* **component:** Fix PatternListContainer unique key error ([26750dd](https://github.com/meetalva/alva/commit/26750dd))
* **component:** prevent app zooming ([bbf7e89](https://github.com/meetalva/alva/commit/bbf7e89))
* **component:** remove preview pane border-radius ([a3a0b68](https://github.com/meetalva/alva/commit/a3a0b68))
* **component:** restore old pattern_list rendering behavior ([33bcb9f](https://github.com/meetalva/alva/commit/33bcb9f))
* **component:** show element pane border ([fa85f72](https://github.com/meetalva/alva/commit/fa85f72))
* **dev:** vscode attach debugger to browser ([95f8a3a](https://github.com/meetalva/alva/commit/95f8a3a))
* **dist:** package react typings for distributed design-kit ([#289](https://github.com/meetalva/alva/issues/289)) ([3f4ec49](https://github.com/meetalva/alva/commit/3f4ec49))
* trigger a second png export if the first does not return a valid value ([#497](https://github.com/meetalva/alva/issues/497)) ([000565e](https://github.com/meetalva/alva/commit/000565e))
* **electron:** open file dialog always on top ([#547](https://github.com/meetalva/alva/issues/547)) ([3826fb5](https://github.com/meetalva/alva/commit/3826fb5))
* **electron:** use right url for "learn more" menu entry ([#172](https://github.com/meetalva/alva/issues/172)) ([75edbb1](https://github.com/meetalva/alva/commit/75edbb1))
* **export:** sketch export creates valid HTML element names ([38a7dba](https://github.com/meetalva/alva/commit/38a7dba))
* **highlight:** include hightlight update method ([450d254](https://github.com/meetalva/alva/commit/450d254))
* **lsg:** adjust property item label colors ([#159](https://github.com/meetalva/alva/issues/159)) ([7d7c83e](https://github.com/meetalva/alva/commit/7d7c83e)), closes [#147](https://github.com/meetalva/alva/issues/147)
* **lsg:** apply preview styling on webview element ([e74debf](https://github.com/meetalva/alva/commit/e74debf)), closes [#122](https://github.com/meetalva/alva/issues/122)
* adapt demo to new interface ([3020227](https://github.com/meetalva/alva/commit/3020227))
* add correct spacing to button ([c64b8d3](https://github.com/meetalva/alva/commit/c64b8d3))
* add element contents for unoccupied pattern slots ([c487b5d](https://github.com/meetalva/alva/commit/c487b5d))
* add missing payloadType parameter ([1b4f49f](https://github.com/meetalva/alva/commit/1b4f49f))
* add page lang description ([862ab78](https://github.com/meetalva/alva/commit/862ab78))
* add page root element ([#435](https://github.com/meetalva/alva/issues/435)) ([fb2a6d1](https://github.com/meetalva/alva/commit/fb2a6d1))
* allow sidebars to scroll ([dacf034](https://github.com/meetalva/alva/commit/dacf034))
* always set value ([128b8a8](https://github.com/meetalva/alva/commit/128b8a8))
* avoid errors for missing onStoreCreate ([9cb754e](https://github.com/meetalva/alva/commit/9cb754e))
* avoid exceptions when no project is set ([b9424a1](https://github.com/meetalva/alva/commit/b9424a1))
* avoid infinite loops when dragging elements on themselves ([a2fe54e](https://github.com/meetalva/alva/commit/a2fe54e))
* avoid jumping heights via text-overflow: ellipsis ([ebc9a43](https://github.com/meetalva/alva/commit/ebc9a43))
* avoid port collisions ([7de5188](https://github.com/meetalva/alva/commit/7de5188))
* calculate drop indices correctly based on content ([4225e80](https://github.com/meetalva/alva/commit/4225e80))
* clean up borked rebase ([dfaf09b](https://github.com/meetalva/alva/commit/dfaf09b))
* clone element actions if required ([1594e53](https://github.com/meetalva/alva/commit/1594e53))
* clone user store references if required ([7c9248f](https://github.com/meetalva/alva/commit/7c9248f))
* close property select on outside click ([cfd3037](https://github.com/meetalva/alva/commit/cfd3037))
* commit page name changes on blur ([ee50c31](https://github.com/meetalva/alva/commit/ee50c31))
* compare by id instead of relying on referential integrity ([342c650](https://github.com/meetalva/alva/commit/342c650))
* compute currentPage store property reference correctly ([7aa82a1](https://github.com/meetalva/alva/commit/7aa82a1))
* consider export name for local id ([dc4e904](https://github.com/meetalva/alva/commit/dc4e904))
* correct typo in build run-script ([30ea880](https://github.com/meetalva/alva/commit/30ea880))
* correctly pass page to create-menu ([bb563ef](https://github.com/meetalva/alva/commit/bb563ef))
* correctly save name on blur ([44cb129](https://github.com/meetalva/alva/commit/44cb129))
* correctly update enum values ([9c14974](https://github.com/meetalva/alva/commit/9c14974))
* deal with state retention bugs ([615a4bc](https://github.com/meetalva/alva/commit/615a4bc))
* dedupe pages ([bc2a509](https://github.com/meetalva/alva/commit/bc2a509))
* derive new element props from pattern props ([ed9d171](https://github.com/meetalva/alva/commit/ed9d171))
* disable doubleClick for chrome elements ([66c97cb](https://github.com/meetalva/alva/commit/66c97cb))
* disable element highlight for export/static mode ([#509](https://github.com/meetalva/alva/issues/509)) ([e0d4495](https://github.com/meetalva/alva/commit/e0d4495))
* disable example link for the time being ([72bc83c](https://github.com/meetalva/alva/commit/72bc83c))
* disable svg image dragging in <PatternList> ([44b85ef](https://github.com/meetalva/alva/commit/44b85ef)), closes [#177](https://github.com/meetalva/alva/issues/177)
* disable unhandled dragging interaction on main window ([0a0c45b](https://github.com/meetalva/alva/commit/0a0c45b)), closes [#177](https://github.com/meetalva/alva/issues/177)
* disabled drag-and-drop from outside the application ([cf1fe2f](https://github.com/meetalva/alva/commit/cf1fe2f))
* display sticky search correctly ([3bfea6c](https://github.com/meetalva/alva/commit/3bfea6c))
* do not connect to ws server from html export ([#463](https://github.com/meetalva/alva/issues/463)) ([a7c2121](https://github.com/meetalva/alva/commit/a7c2121))
* do not crash when element child content is missing ([a1485c3](https://github.com/meetalva/alva/commit/a1485c3))
* do not duplicate labels for aborted reference connects ([12d29a9](https://github.com/meetalva/alva/commit/12d29a9))
* do not needlessly send the project ([27d3bae](https://github.com/meetalva/alva/commit/27d3bae))
* do not request connection state for pristine pattern libraries ([ce202c5](https://github.com/meetalva/alva/commit/ce202c5))
* do not show collapse not on root elements ([#520](https://github.com/meetalva/alva/issues/520)) ([77dc379](https://github.com/meetalva/alva/commit/77dc379))
* do not show update errors for missing internet connection ([0200271](https://github.com/meetalva/alva/commit/0200271))
* do not try to send unserializable values ([943bd1a](https://github.com/meetalva/alva/commit/943bd1a))
* do not write unnecessary element properties to disk ([479a713](https://github.com/meetalva/alva/commit/479a713))
* ensure component registry is in sync ([bf94443](https://github.com/meetalva/alva/commit/bf94443))
* ensure component script may be updated correctly ([a6bfbb3](https://github.com/meetalva/alva/commit/a6bfbb3))
* ensure container is set correctly ([f9dca96](https://github.com/meetalva/alva/commit/f9dca96))
* ensure library updates work ([3f6164a](https://github.com/meetalva/alva/commit/3f6164a))
* ensure page does not show up in pattern list ([1a88bd8](https://github.com/meetalva/alva/commit/1a88bd8))
* ensure page property payload is not invalid ([be491b7](https://github.com/meetalva/alva/commit/be491b7))
* ensure proper ser/de of pattern data ([9388d66](https://github.com/meetalva/alva/commit/9388d66))
* execute custom keyboard handlers when iframe has focus ([#465](https://github.com/meetalva/alva/issues/465)) ([f64ef9c](https://github.com/meetalva/alva/commit/f64ef9c)), closes [#464](https://github.com/meetalva/alva/issues/464)
* explicitly propagate updates on element properties ([11b9643](https://github.com/meetalva/alva/commit/11b9643))
* explicity react to highlight/selection changes ([7dd8329](https://github.com/meetalva/alva/commit/7dd8329))
* guard against missing project ([c034397](https://github.com/meetalva/alva/commit/c034397))
* handle dragging while editing better ([ae4e40b](https://github.com/meetalva/alva/commit/ae4e40b))
* handle element refs consistently ([4130503](https://github.com/meetalva/alva/commit/4130503))
* **lsg:** compile error in icons ([09a5be4](https://github.com/meetalva/alva/commit/09a5be4))
* **lsg:** remove patternplate config ui title ([47760a2](https://github.com/meetalva/alva/commit/47760a2))
* **main:** change loading of html file to load a base64 encoded html ([#482](https://github.com/meetalva/alva/issues/482)) ([e2c5772](https://github.com/meetalva/alva/commit/e2c5772))
* **menu:** also close alva when all windows are hidden ([ee8b5c4](https://github.com/meetalva/alva/commit/ee8b5c4)), closes [#187](https://github.com/meetalva/alva/issues/187)
* **menu:** it is not possible to call toggleDevTools on browserWindow ([928e01c](https://github.com/meetalva/alva/commit/928e01c))
* **menu:** make sure that the page is done resizing before capture ([6bd6acf](https://github.com/meetalva/alva/commit/6bd6acf))
* **menu:** move update check execution in to the main process ([7f8ce94](https://github.com/meetalva/alva/commit/7f8ce94))
* **object-property:** infinite loop on type recursion ([8a0b74e](https://github.com/meetalva/alva/commit/8a0b74e))
* **package:** update electron-updater to version 2.21.0 ([dae637b](https://github.com/meetalva/alva/commit/dae637b))
* **package:** update js-yaml to version 3.11.0 ([#266](https://github.com/meetalva/alva/issues/266)) ([122e071](https://github.com/meetalva/alva/commit/122e071))
* **package:** update mobx-react to version 4.4.3 ([#268](https://github.com/meetalva/alva/issues/268)) ([13c6937](https://github.com/meetalva/alva/commit/13c6937))
* **package:** update readts to version 0.2.0 ([#262](https://github.com/meetalva/alva/issues/262)) ([540ad9e](https://github.com/meetalva/alva/commit/540ad9e))
* **package:** update smoothscroll-polyfill to version 0.4.3 ([cc1d2af](https://github.com/meetalva/alva/commit/cc1d2af)), closes [#259](https://github.com/meetalva/alva/issues/259)
* **package:** update styled-components to version 3.2.0 ([#267](https://github.com/meetalva/alva/issues/267)) ([79a9aea](https://github.com/meetalva/alva/commit/79a9aea))
* **png-export:** change png export to scale the png by pixel ratio of the screen ([#451](https://github.com/meetalva/alva/issues/451)) ([476893b](https://github.com/meetalva/alva/commit/476893b))
* **png-export:** change png export to scale the png by pixel ratio of the screen ([#451](https://github.com/meetalva/alva/issues/451)) ([d95a9b4](https://github.com/meetalva/alva/commit/d95a9b4))
* **png-export:** change png export to scale the png by pixel ratio of the screen ([#451](https://github.com/meetalva/alva/issues/451)) ([dba177c](https://github.com/meetalva/alva/commit/dba177c))
* **png-export:** longer wait time before screenshot ([dc27989](https://github.com/meetalva/alva/commit/dc27989))
* **preview:** make preview wrapper not absolute to enable page capturing ([79c59a5](https://github.com/meetalva/alva/commit/79c59a5))
* **preview:** preview performance (introduced in [#274](https://github.com/meetalva/alva/issues/274)) ([81338ad](https://github.com/meetalva/alva/commit/81338ad))
* **preview:** stop component from highlighting when only props change ([37b778f](https://github.com/meetalva/alva/commit/37b778f))
* **preview:** update SelectionArea & HighlightArea on every frame ([7987231](https://github.com/meetalva/alva/commit/7987231))
* **preview:** use inline style for setting max-width of preview area ([712645d](https://github.com/meetalva/alva/commit/712645d))
* **preview:** wrong DOM reference prevents rendering ([f625dde](https://github.com/meetalva/alva/commit/f625dde))
* **release:** remove use of unknown dependency ([aa01853](https://github.com/meetalva/alva/commit/aa01853))
* **renderer:** change css styles to valid naming for react inline styles ([72335fc](https://github.com/meetalva/alva/commit/72335fc))
* **renderer:** make sure that the element in triggerHighlight is a Element and not of type Text ([991be8b](https://github.com/meetalva/alva/commit/991be8b))
* **store:** don't ignore patterns in pattern root folder ([d9ace1a](https://github.com/meetalva/alva/commit/d9ace1a))
* **store:** don't try to save when there is no styleguide ([f9ef1dd](https://github.com/meetalva/alva/commit/f9ef1dd)), closes [#101](https://github.com/meetalva/alva/issues/101)
* **store:** name pattern root after folder on fs ([1b4cb1e](https://github.com/meetalva/alva/commit/1b4cb1e))
* **store:** naming of string-property file in imports ([#211](https://github.com/meetalva/alva/issues/211)) ([5652072](https://github.com/meetalva/alva/commit/5652072))
* **store:** normalize pattern ids across platforms ([#287](https://github.com/meetalva/alva/issues/287)) ([25b939d](https://github.com/meetalva/alva/commit/25b939d))
* **store:** page elements have stable IDs now, fixing UI lists ([55053d3](https://github.com/meetalva/alva/commit/55053d3))
* **store:** page root element handling ([030ac2d](https://github.com/meetalva/alva/commit/030ac2d))
* **store:** patternId migration path ([c67d58f](https://github.com/meetalva/alva/commit/c67d58f))
* restore enum properties ([b60b0bb](https://github.com/meetalva/alva/commit/b60b0bb))
* **store:** preview/app race condition when loading a styleguide ([a0786b0](https://github.com/meetalva/alva/commit/a0786b0))
* **store:** re-implement pattern grouping / folders ([49f6bf8](https://github.com/meetalva/alva/commit/49f6bf8))
* **store:** remove undefined 'name' variable from name guessing in property construction ([445b4f4](https://github.com/meetalva/alva/commit/445b4f4))
* **store:** restore pattern icon detection ([037dcc4](https://github.com/meetalva/alva/commit/037dcc4))
* **store:** typescript-react-analyzer respect fs folder structure ([dfd2fde](https://github.com/meetalva/alva/commit/dfd2fde))
* **synthetic-box:** set flex direction properly ([ec3b87e](https://github.com/meetalva/alva/commit/ec3b87e))
* handle empty element name commands ([c808cb8](https://github.com/meetalva/alva/commit/c808cb8))
* handle opening files with less pages ([fdb44c2](https://github.com/meetalva/alva/commit/fdb44c2))
* handle root-level sibling drops properly ([31b6bd3](https://github.com/meetalva/alva/commit/31b6bd3))
* handle scroll position in element area properly ([381a4cc](https://github.com/meetalva/alva/commit/381a4cc))
* handle ts 3.1 fallout ([bdb1a24](https://github.com/meetalva/alva/commit/bdb1a24))
* harden against broken data paylaods ([9ea7e8e](https://github.com/meetalva/alva/commit/9ea7e8e))
* highlight correctly on first load ([6b179ef](https://github.com/meetalva/alva/commit/6b179ef))
* hold on to legacy prop references ([ead0750](https://github.com/meetalva/alva/commit/ead0750))
* improve event type detection ([1bb50d1](https://github.com/meetalva/alva/commit/1bb50d1))
* keep builtin library ids stable ([2770ba6](https://github.com/meetalva/alva/commit/2770ba6))
* keep dev pane backwards compat ([cd0dd79](https://github.com/meetalva/alva/commit/cd0dd79))
* keep unknown patterns and values ([d6cd791](https://github.com/meetalva/alva/commit/d6cd791))
* limit keyup handling to fully global and list-local events ([5e753b4](https://github.com/meetalva/alva/commit/5e753b4))
* limit local server to localhost interface ([7bec5c6](https://github.com/meetalva/alva/commit/7bec5c6))
* make first action undo-able ([6c645cd](https://github.com/meetalva/alva/commit/6c645cd))
* make pattern library state observable ([9b8f30c](https://github.com/meetalva/alva/commit/9b8f30c))
* **typescript-react-analyzer:** don't add pattern if it is not a react component ([92fd967](https://github.com/meetalva/alva/commit/92fd967))
* model forced open state as additional combinator ([#477](https://github.com/meetalva/alva/issues/477)) ([499bce0](https://github.com/meetalva/alva/commit/499bce0))
* move opening of url to main process ([72805e2](https://github.com/meetalva/alva/commit/72805e2))
* normalize array inputs ([1ee39fe](https://github.com/meetalva/alva/commit/1ee39fe))
* only set required dimension ([94f9919](https://github.com/meetalva/alva/commit/94f9919))
* open files via double-click & cli args ([#619](https://github.com/meetalva/alva/issues/619)) ([6b982e1](https://github.com/meetalva/alva/commit/6b982e1))
* opt should be optional ([16e51b1](https://github.com/meetalva/alva/commit/16e51b1))
* paste below by default ([b1b7d12](https://github.com/meetalva/alva/commit/b1b7d12))
* prevent alva from crashing when element contents are missing ([b03fad0](https://github.com/meetalva/alva/commit/b03fad0))
* prevent alva from freezing when changing between files ([#614](https://github.com/meetalva/alva/issues/614)) ([6411745](https://github.com/meetalva/alva/commit/6411745))
* prevent display of highlight area with height/width 0 ([#608](https://github.com/meetalva/alva/issues/608)) ([e9d8989](https://github.com/meetalva/alva/commit/e9d8989))
* prevent flickering of variable select ([ad69cd0](https://github.com/meetalva/alva/commit/ad69cd0))
* prevent id duplication bugs ([c7a79b8](https://github.com/meetalva/alva/commit/c7a79b8))
* prevent message feedback while highlight matcher is running ([cc35515](https://github.com/meetalva/alva/commit/cc35515))
* preview scrolling hangs (fixes [#316](https://github.com/meetalva/alva/issues/316)) ([bce364c](https://github.com/meetalva/alva/commit/bce364c))
* propagate hasFocusedInput correctly ([a2bc26e](https://github.com/meetalva/alva/commit/a2bc26e))
* proper button name for choosing asset file ([3beb190](https://github.com/meetalva/alva/commit/3beb190))
* reenable default edit operations on input and textarea ([308a128](https://github.com/meetalva/alva/commit/308a128))
* reenable page switching ([193506f](https://github.com/meetalva/alva/commit/193506f))
* reflect loose slot typings ([c374f00](https://github.com/meetalva/alva/commit/c374f00))
* reimplement pattern search ([7ce67bd](https://github.com/meetalva/alva/commit/7ce67bd))
* relax the slot check for children prop ([#506](https://github.com/meetalva/alva/issues/506)) ([a75e3f4](https://github.com/meetalva/alva/commit/a75e3f4))
* remove debug code ([1cfade5](https://github.com/meetalva/alva/commit/1cfade5))
* remove dependency on mobx from preview-renderer ([3506ce3](https://github.com/meetalva/alva/commit/3506ce3))
* remove editable title from chrome to avoid bugs ftb ([afb99a9](https://github.com/meetalva/alva/commit/afb99a9))
* remove element border overlay ([4bd8830](https://github.com/meetalva/alva/commit/4bd8830))
* remove faulty array-property detection ([39542de](https://github.com/meetalva/alva/commit/39542de))
* remove highlight transition ([fc98fb2](https://github.com/meetalva/alva/commit/fc98fb2))
* remove overflow hidden ([d2bcee5](https://github.com/meetalva/alva/commit/d2bcee5))
* remove redundant event listeners ([9c35fe5](https://github.com/meetalva/alva/commit/9c35fe5))
* remove stray console.log ([b3bf876](https://github.com/meetalva/alva/commit/b3bf876))
* remove tab navigation component ([245054c](https://github.com/meetalva/alva/commit/245054c))
* remove unnecessary scrollbars on windows ([#502](https://github.com/meetalva/alva/issues/502)) ([5b62dc1](https://github.com/meetalva/alva/commit/5b62dc1))
* rename placeholder to image ([#503](https://github.com/meetalva/alva/issues/503)) ([85a549a](https://github.com/meetalva/alva/commit/85a549a))
* rename project settings to libraries ([#615](https://github.com/meetalva/alva/issues/615)) ([c7772fc](https://github.com/meetalva/alva/commit/c7772fc))
* rendering of slot contents ([#409](https://github.com/meetalva/alva/issues/409)) ([b95ae6d](https://github.com/meetalva/alva/commit/b95ae6d))
* resize png to original screen size ([7d8b372](https://github.com/meetalva/alva/commit/7d8b372))
* resize png to original screen size ([deb7d2c](https://github.com/meetalva/alva/commit/deb7d2c))
* resize png to original screen size ([6142346](https://github.com/meetalva/alva/commit/6142346))
* resolve some commit bugs involving event handler props ([4798a18](https://github.com/meetalva/alva/commit/4798a18))
* restore analyzer to feature parity ([#478](https://github.com/meetalva/alva/issues/478)) ([a153e7c](https://github.com/meetalva/alva/commit/a153e7c))
* restore and remodel pattern search ([b43b8c0](https://github.com/meetalva/alva/commit/b43b8c0))
* restore asset property functionality ([e704609](https://github.com/meetalva/alva/commit/e704609))
* restore basic watch mode ([64168b4](https://github.com/meetalva/alva/commit/64168b4))
* restore boolean property inputs ([e2553b0](https://github.com/meetalva/alva/commit/e2553b0))
* restore copy/paste ([168759f](https://github.com/meetalva/alva/commit/168759f))
* restore dependencies for build ([14a5706](https://github.com/meetalva/alva/commit/14a5706))
* restore direct highlight/select ([641bae1](https://github.com/meetalva/alva/commit/641bae1))
* restore duplicate element functionality ([0686098](https://github.com/meetalva/alva/commit/0686098))
* restore element name editing ([8c47f72](https://github.com/meetalva/alva/commit/8c47f72))
* restore event handler props ([f78b70e](https://github.com/meetalva/alva/commit/f78b70e))
* restore export functionality ([edfb369](https://github.com/meetalva/alva/commit/edfb369))
* restore external link handling ([5b34d1c](https://github.com/meetalva/alva/commit/5b34d1c))
* restore functionality after rebase ([c6813c4](https://github.com/meetalva/alva/commit/c6813c4))
* restore html export ([dc88e61](https://github.com/meetalva/alva/commit/dc88e61))
* restore interaction ([2969f1f](https://github.com/meetalva/alva/commit/2969f1f))
* restore page-add functionality ([cda183e](https://github.com/meetalva/alva/commit/cda183e))
* restore paste inside element ([#507](https://github.com/meetalva/alva/issues/507)) ([5ed50b6](https://github.com/meetalva/alva/commit/5ed50b6))
* restore slot contents ([23c4c2c](https://github.com/meetalva/alva/commit/23c4c2c))
* restore undo/redo ([009b7e9](https://github.com/meetalva/alva/commit/009b7e9))
* restore undo/redo for element deletion ([d224dd9](https://github.com/meetalva/alva/commit/d224dd9))
* retain backwards compat ([39e58a1](https://github.com/meetalva/alva/commit/39e58a1))
* serde generic events ([aea46a3](https://github.com/meetalva/alva/commit/aea46a3))
* set default linebreak for ts files ([8f83c72](https://github.com/meetalva/alva/commit/8f83c72))
* set defaults for element properties ([4cfc89b](https://github.com/meetalva/alva/commit/4cfc89b))
* set preview background to white ([25669e1](https://github.com/meetalva/alva/commit/25669e1))
* set smaller button size ([dbdc9c2](https://github.com/meetalva/alva/commit/dbdc9c2))
* show discard window only for drafts ([66e7c54](https://github.com/meetalva/alva/commit/66e7c54))
* show page list when opening files without pages ([b57515b](https://github.com/meetalva/alva/commit/b57515b))
* show page props again ([e0754ed](https://github.com/meetalva/alva/commit/e0754ed))
* stop committing openings of files in store ([39870f7](https://github.com/meetalva/alva/commit/39870f7))
* support enums with string values ([0368100](https://github.com/meetalva/alva/commit/0368100))
* try harder to get the very latest data when saving explicitly ([e9c994e](https://github.com/meetalva/alva/commit/e9c994e))
* un-highlight slots accordingly during drag & drop ([ffef2b3](https://github.com/meetalva/alva/commit/ffef2b3))
* unify drag image style and handling ([#541](https://github.com/meetalva/alva/issues/541)) ([d6d5ec7](https://github.com/meetalva/alva/commit/d6d5ec7))
* update copyright year ([b5154e8](https://github.com/meetalva/alva/commit/b5154e8))
* update editor property name typings on the fly ([bdfef35](https://github.com/meetalva/alva/commit/bdfef35))
* update lockfile ([c94ae55](https://github.com/meetalva/alva/commit/c94ae55))
* update main menu via autorun ([42a58cf](https://github.com/meetalva/alva/commit/42a58cf))
* update pattern / element properties correctly ([1a37530](https://github.com/meetalva/alva/commit/1a37530))
* update search when importing ([#504](https://github.com/meetalva/alva/issues/504)) ([a9874cc](https://github.com/meetalva/alva/commit/a9874cc))
* update splashscreen and library texts ([b56e942](https://github.com/meetalva/alva/commit/b56e942))
* use atomic change messages for file saving ([59af741](https://github.com/meetalva/alva/commit/59af741))
* use correct index for sibling drops ([5d00d0c](https://github.com/meetalva/alva/commit/5d00d0c))
* **typescript-react-analyzer:** analyze number enums correctly ([#531](https://github.com/meetalva/alva/issues/531)) ([303a69d](https://github.com/meetalva/alva/commit/303a69d))
* use correct key name ([c84bf04](https://github.com/meetalva/alva/commit/c84bf04))
* wait for successful file read before restoring app state ([805106e](https://github.com/meetalva/alva/commit/805106e))
* wire main menu to server-side project copy ([13cf169](https://github.com/meetalva/alva/commit/13cf169))


### Features

* **analyzer:** also return patterns without properties ([aea36ae](https://github.com/meetalva/alva/commit/aea36ae))
* **analyzer:** move decision for the renderer in to the analyzers ([1442f51](https://github.com/meetalva/alva/commit/1442f51))
* **auto-updater:** ask user before updating alva ([38c7766](https://github.com/meetalva/alva/commit/38c7766)), closes [#168](https://github.com/meetalva/alva/issues/168)
* select elements from preview ([51f585c](https://github.com/meetalva/alva/commit/51f585c))
* **auto-updater:** set progress bar and add to menu ([e024cc4](https://github.com/meetalva/alva/commit/e024cc4)), closes [#84](https://github.com/meetalva/alva/issues/84)
* abort editing on esc ([5421f10](https://github.com/meetalva/alva/commit/5421f10))
* add `window.screenshot` for svg-convertible chrome screenshots ([#617](https://github.com/meetalva/alva/issues/617)) ([fd259fe](https://github.com/meetalva/alva/commit/fd259fe))
* add ability to define a custom preview frame html wrapper ([47e1f4d](https://github.com/meetalva/alva/commit/47e1f4d))
* add active styling to buttons ([#545](https://github.com/meetalva/alva/issues/545)) ([46546b8](https://github.com/meetalva/alva/commit/46546b8))
* add box component for testing purposes ([2599cf8](https://github.com/meetalva/alva/commit/2599cf8))
* add bug report button to chrome ([e2eac1b](https://github.com/meetalva/alva/commit/e2eac1b))
* add checked payload type ([4f90c41](https://github.com/meetalva/alva/commit/4f90c41))
* add description to component ([#493](https://github.com/meetalva/alva/issues/493)) ([1671e80](https://github.com/meetalva/alva/commit/1671e80))
* add description to property ([#496](https://github.com/meetalva/alva/issues/496)) ([7b67566](https://github.com/meetalva/alva/commit/7b67566))
* add document icon for windows ([f34bae8](https://github.com/meetalva/alva/commit/f34bae8))
* add floating-button component ([#425](https://github.com/meetalva/alva/issues/425)) ([0aa1953](https://github.com/meetalva/alva/commit/0aa1953))
* add force reload ([aa48020](https://github.com/meetalva/alva/commit/aa48020))
* add guide link to splash screen ([#612](https://github.com/meetalva/alva/issues/612)) ([2fd26a0](https://github.com/meetalva/alva/commit/2fd26a0))
* add help button ([1bb3424](https://github.com/meetalva/alva/commit/1bb3424))
* add help shortcuts to menu ([d294770](https://github.com/meetalva/alva/commit/d294770))
* add hotkey for library update ([#494](https://github.com/meetalva/alva/issues/494)) ([d342b3c](https://github.com/meetalva/alva/commit/d342b3c))
* add ignore option to analysis ([2930913](https://github.com/meetalva/alva/commit/2930913))
* add link builtin component ([#501](https://github.com/meetalva/alva/issues/501)) ([fb3fea7](https://github.com/meetalva/alva/commit/fb3fea7))
* add option to download example file ([191b216](https://github.com/meetalva/alva/commit/191b216))
* add option to hide sidebars ([dd93217](https://github.com/meetalva/alva/commit/dd93217))
* add pdf export ([a72aa1d](https://github.com/meetalva/alva/commit/a72aa1d))
* add shortcut to switch pages ([#558](https://github.com/meetalva/alva/issues/558)) ([76e4b8d](https://github.com/meetalva/alva/commit/76e4b8d))
* add sketch export ([bb69c81](https://github.com/meetalva/alva/commit/bb69c81))
* add synthetic conditional component ([e7cf6ba](https://github.com/meetalva/alva/commit/e7cf6ba))
* add tab switch to hide pages and sidebar ([#560](https://github.com/meetalva/alva/issues/560)) ([2aba3b8](https://github.com/meetalva/alva/commit/2aba3b8))
* add withEnhancer opt ([c7ee6f4](https://github.com/meetalva/alva/commit/c7ee6f4))
* adjust alva file ([e57fea7](https://github.com/meetalva/alva/commit/e57fea7))
* adjust app icon for smaller sizes ([#518](https://github.com/meetalva/alva/issues/518)) ([58c8910](https://github.com/meetalva/alva/commit/58c8910))
* allow users to add new pages ([#426](https://github.com/meetalva/alva/issues/426)) ([ff975d6](https://github.com/meetalva/alva/commit/ff975d6))
* allow users to reset/update library connections ([e640758](https://github.com/meetalva/alva/commit/e640758))
* apply onStoreCreate to UserStore ([31528dc](https://github.com/meetalva/alva/commit/31528dc))
* asset properties (fixes [#274](https://github.com/meetalva/alva/issues/274)) ([243a4d2](https://github.com/meetalva/alva/commit/243a4d2))
* associate .alva files on macOS ([#517](https://github.com/meetalva/alva/issues/517)) ([a28d3e7](https://github.com/meetalva/alva/commit/a28d3e7))
* beef up onStoreCreate ([f4257c9](https://github.com/meetalva/alva/commit/f4257c9))
* change text input to autsized textarea ([036bba5](https://github.com/meetalva/alva/commit/036bba5))
* coerce default values correctly ([cb4e6b2](https://github.com/meetalva/alva/commit/cb4e6b2))
* create projects without explicit path ([#605](https://github.com/meetalva/alva/issues/605)) ([9612f21](https://github.com/meetalva/alva/commit/9612f21))
* disable button when library may not be edited ([bba7694](https://github.com/meetalva/alva/commit/bba7694))
* do not render folder if no patterns/children match ([84a3291](https://github.com/meetalva/alva/commit/84a3291))
* dynamically improve dev mode typings ([0c57d15](https://github.com/meetalva/alva/commit/0c57d15))
* enable clipboard usage between alva instances ([f516ee8](https://github.com/meetalva/alva/commit/f516ee8))
* enable element boundaries on preview hover ([#508](https://github.com/meetalva/alva/issues/508)) ([54ad464](https://github.com/meetalva/alva/commit/54ad464))
* enable references on all primitive props ([cc80ac6](https://github.com/meetalva/alva/commit/cc80ac6))
* extend placeholder builtin with size controls ([#481](https://github.com/meetalva/alva/issues/481)) ([7cd8fe5](https://github.com/meetalva/alva/commit/7cd8fe5))
* handle children slots explicitly ([d0984df](https://github.com/meetalva/alva/commit/d0984df))
* implement basic edit history for pages ([1c2b842](https://github.com/meetalva/alva/commit/1c2b842))
* implement map deletions sync ([81d82e1](https://github.com/meetalva/alva/commit/81d82e1))
* implement page-element renaming ([ac1412a](https://github.com/meetalva/alva/commit/ac1412a))
* implement static html export ([#414](https://github.com/meetalva/alva/issues/414)) ([948111f](https://github.com/meetalva/alva/commit/948111f))
* implement userstore property access ([b2e04aa](https://github.com/meetalva/alva/commit/b2e04aa))
* implementation of the overlay component ([#527](https://github.com/meetalva/alva/issues/527)) ([7a2cd00](https://github.com/meetalva/alva/commit/7a2cd00))
* improve user experience ([#607](https://github.com/meetalva/alva/issues/607)) ([34f4a2c](https://github.com/meetalva/alva/commit/34f4a2c))
* indicate elements that do not accept children ([be9df1d](https://github.com/meetalva/alva/commit/be9df1d))
* init new element on pattern doubleclick ([d3077f7](https://github.com/meetalva/alva/commit/d3077f7))
* introduce feather icons ([9632810](https://github.com/meetalva/alva/commit/9632810))
* introduce layout switch ([42da585](https://github.com/meetalva/alva/commit/42da585))
* introduce radio group property ([#575](https://github.com/meetalva/alva/issues/575)) ([84d5fb2](https://github.com/meetalva/alva/commit/84d5fb2))
* keep around the last valid designtime store ([06fb394](https://github.com/meetalva/alva/commit/06fb394))
* let users select event payloads to fill store properties ([ee19c2c](https://github.com/meetalva/alva/commit/ee19c2c))
* make sidebars resizeable ([#467](https://github.com/meetalva/alva/issues/467)) ([6abe735](https://github.com/meetalva/alva/commit/6abe735))
* maximize window on chrome doubleclick ([795984e](https://github.com/meetalva/alva/commit/795984e))
* move page overview to sidebar ([#554](https://github.com/meetalva/alva/issues/554)) ([7bb8a57](https://github.com/meetalva/alva/commit/7bb8a57))
* move to self contained .alva files ([ca886c8](https://github.com/meetalva/alva/commit/ca886c8))
* page overview ([#399](https://github.com/meetalva/alva/issues/399)) ([75f3c40](https://github.com/meetalva/alva/commit/75f3c40))
* page switch interaction ([#524](https://github.com/meetalva/alva/issues/524)) ([d818c61](https://github.com/meetalva/alva/commit/d818c61))
* paste inside current page root when nothing is selected ([5248cca](https://github.com/meetalva/alva/commit/5248cca))
* placeholder pattern (fixes [#13](https://github.com/meetalva/alva/issues/13)) ([3c45437](https://github.com/meetalva/alva/commit/3c45437))
* provide ui for code-based store enhancer ([2ccc534](https://github.com/meetalva/alva/commit/2ccc534))
* reenable page switch in chrome ([a938223](https://github.com/meetalva/alva/commit/a938223))
* reenable select/create of store props ([042758c](https://github.com/meetalva/alva/commit/042758c))
* rephrase library menu item ([05f8a6e](https://github.com/meetalva/alva/commit/05f8a6e))
* replace project dropdown with page tile overview (fixes [#176](https://github.com/meetalva/alva/issues/176)) ([a3af629](https://github.com/meetalva/alva/commit/a3af629))
* restore event handler on image built-in ([#569](https://github.com/meetalva/alva/issues/569)) ([4915e8b](https://github.com/meetalva/alva/commit/4915e8b))
* restore slot handling based on element contents ([#548](https://github.com/meetalva/alva/issues/548)) ([56a60cd](https://github.com/meetalva/alva/commit/56a60cd))
* resurrect analyzer ([2cba609](https://github.com/meetalva/alva/commit/2cba609))
* rewire analyzer into new separation of concerns ([e40c617](https://github.com/meetalva/alva/commit/e40c617))
* **store:** add function for naming the page element ([629e2c0](https://github.com/meetalva/alva/commit/629e2c0))
* save resizable dimensions ([a8d9c62](https://github.com/meetalva/alva/commit/a8d9c62))
* select dragged element on drag start ([10ee949](https://github.com/meetalva/alva/commit/10ee949))
* select name automatically on edit ([8f7cf2b](https://github.com/meetalva/alva/commit/8f7cf2b))
* set default value of built-in text component ([#491](https://github.com/meetalva/alva/issues/491)) ([e451e43](https://github.com/meetalva/alva/commit/e451e43))
* set search to sticky ([fc1c8fe](https://github.com/meetalva/alva/commit/fc1c8fe))
* show discard dialog before overwriting projects ([#616](https://github.com/meetalva/alva/issues/616)) ([f8e4fa0](https://github.com/meetalva/alva/commit/f8e4fa0))
* update styling of preview resize handles ([#410](https://github.com/meetalva/alva/issues/410)) ([8b8a19c](https://github.com/meetalva/alva/commit/8b8a19c))
* **packages:** update patternplate ([2e23fe8](https://github.com/meetalva/alva/commit/2e23fe8))
* show error if library cannot be connected ([#543](https://github.com/meetalva/alva/issues/543)) ([9ff88e9](https://github.com/meetalva/alva/commit/9ff88e9))
* show error on unreadable .alva files ([#542](https://github.com/meetalva/alva/issues/542)) ([0510893](https://github.com/meetalva/alva/commit/0510893))
* show event type in event property box ([73cf294](https://github.com/meetalva/alva/commit/73cf294))
* show pattern name of elements with edited names ([82a058e](https://github.com/meetalva/alva/commit/82a058e))
* support any npm package exporting react components ([#613](https://github.com/meetalva/alva/issues/613)) ([9412309](https://github.com/meetalva/alva/commit/9412309))
* undo and redo on page operations (fixes [#109](https://github.com/meetalva/alva/issues/109)) ([93382b8](https://github.com/meetalva/alva/commit/93382b8))
* update styling of asset property ([#523](https://github.com/meetalva/alva/issues/523)) ([9794b86](https://github.com/meetalva/alva/commit/9794b86))
* update styling of layout and element pane ([#393](https://github.com/meetalva/alva/issues/393)) ([7b7622b](https://github.com/meetalva/alva/commit/7b7622b))
* update styling of pattern pane ([#475](https://github.com/meetalva/alva/issues/475)) ([71f81cd](https://github.com/meetalva/alva/commit/71f81cd))
* update styling of property pane ([#436](https://github.com/meetalva/alva/issues/436)) ([c7fc62a](https://github.com/meetalva/alva/commit/c7fc62a))
* update styling of property pane ([#436](https://github.com/meetalva/alva/issues/436)) ([b5c1963](https://github.com/meetalva/alva/commit/b5c1963))
* update styling of property pane ([#436](https://github.com/meetalva/alva/issues/436)) ([0026521](https://github.com/meetalva/alva/commit/0026521))
* **renderer:** switch between renderers based on analyser type ([a4008df](https://github.com/meetalva/alva/commit/a4008df))
* update styling of property pane ([#436](https://github.com/meetalva/alva/issues/436)) ([86f858b](https://github.com/meetalva/alva/commit/86f858b))
* **component:** switch between pages (fixes [#314](https://github.com/meetalva/alva/issues/314)) ([b6a3057](https://github.com/meetalva/alva/commit/b6a3057))
* **components:** update styling of connect library ([f419356](https://github.com/meetalva/alva/commit/f419356))
* **config:** add styleguide option for choosing a specific analyzer ([a988121](https://github.com/meetalva/alva/commit/a988121))
* **drag-and-drop:** component implementation ([#603](https://github.com/meetalva/alva/issues/603)) ([f2f6c3c](https://github.com/meetalva/alva/commit/f2f6c3c))
* **editable-title:** make page title editable ([#553](https://github.com/meetalva/alva/issues/553)) ([6834f09](https://github.com/meetalva/alva/commit/6834f09))
* **export-sketch:** add opening instructions ([3937fcf](https://github.com/meetalva/alva/commit/3937fcf))
* **highlight:** implement hover highlight ([#476](https://github.com/meetalva/alva/issues/476)) ([feb5304](https://github.com/meetalva/alva/commit/feb5304))
* **logo:** add new alva logo ([#484](https://github.com/meetalva/alva/issues/484)) ([a640258](https://github.com/meetalva/alva/commit/a640258))
* **logo:** new alva logo ([0903f24](https://github.com/meetalva/alva/commit/0903f24))
* **menu:** add context menu for page elements ([a8cd86e](https://github.com/meetalva/alva/commit/a8cd86e)), closes [#111](https://github.com/meetalva/alva/issues/111)
* **menu:** add option to export current page as png ([1c423b6](https://github.com/meetalva/alva/commit/1c423b6)), closes [#71](https://github.com/meetalva/alva/issues/71)
* **menu:** disable specific menu items for splashscreen ([c009cd2](https://github.com/meetalva/alva/commit/c009cd2))
* **menu:** new menuitem that opens settings file in default application ([f8676a7](https://github.com/meetalva/alva/commit/f8676a7)), closes [#195](https://github.com/meetalva/alva/issues/195)
* **page-element:** unique id for each page-element ([79bbb1a](https://github.com/meetalva/alva/commit/79bbb1a))
* **page-element:** visualize component properties (fixes [#150](https://github.com/meetalva/alva/issues/150)) ([e7cbc02](https://github.com/meetalva/alva/commit/e7cbc02))
* **page-list:** page editable w doubleclick on page-item in dropdown ([1736b0b](https://github.com/meetalva/alva/commit/1736b0b))
* **preview:** add loading animation ([bcfe1b9](https://github.com/meetalva/alva/commit/bcfe1b9)), closes [#299](https://github.com/meetalva/alva/issues/299)
* **preview:** highlight element on select ([2423a5d](https://github.com/meetalva/alva/commit/2423a5d))
* **preview:** pattern error handling (fixes [#271](https://github.com/meetalva/alva/issues/271)) ([9fdad0b](https://github.com/meetalva/alva/commit/9fdad0b))
* **preview:** update preview when pattern code changes (fixes [#27](https://github.com/meetalva/alva/issues/27)) ([f30d832](https://github.com/meetalva/alva/commit/f30d832))
* **preview-pane:** implement resizing of the preview-pane ([5f6e133](https://github.com/meetalva/alva/commit/5f6e133))
* **renderer:** save current state on change ([#486](https://github.com/meetalva/alva/issues/486)) ([ff9f654](https://github.com/meetalva/alva/commit/ff9f654))
* **splashscreen:** display OS menu ([bd21b62](https://github.com/meetalva/alva/commit/bd21b62))
* **store:** add prop for using basePreferencePath when getting the preferencePath ([2cd110c](https://github.com/meetalva/alva/commit/2cd110c))
* **store:** function for selecting element by it’s id ([d2ee04a](https://github.com/meetalva/alva/commit/d2ee04a))
* **store:** last-changed date and author ([947f271](https://github.com/meetalva/alva/commit/947f271))
* **store:** new function for converting page names to ids ([cad182b](https://github.com/meetalva/alva/commit/cad182b))
* **store:** new function for renaming pages ([73413d2](https://github.com/meetalva/alva/commit/73413d2))
* **store:** object properties ([1bada4f](https://github.com/meetalva/alva/commit/1bada4f))
* **store:** patterns path configurable (fixes [#214](https://github.com/meetalva/alva/issues/214)) ([5824137](https://github.com/meetalva/alva/commit/5824137))
* **test:** add jest debug config for vscode ([bec0dda](https://github.com/meetalva/alva/commit/bec0dda))
* **webview:** disable node-integration for webview ([2d7d75e](https://github.com/meetalva/alva/commit/2d7d75e))
* **window:** minimum app window size ([239d788](https://github.com/meetalva/alva/commit/239d788)), closes [#107](https://github.com/meetalva/alva/issues/107)


### Performance Improvements

* avoid excessive bundle sizes by reusing monacos ts-worker ([a00ba8a](https://github.com/meetalva/alva/commit/a00ba8a))
* avoid excessive rendering by passing mobx store ([d0b0ed2](https://github.com/meetalva/alva/commit/d0b0ed2))
* avoid infinite enhancer loops ([0c33f71](https://github.com/meetalva/alva/commit/0c33f71))
* avoid saving unchanged project data ([#492](https://github.com/meetalva/alva/issues/492)) ([55ba21d](https://github.com/meetalva/alva/commit/55ba21d))
* avoid transferring libs multiple times ([471da85](https://github.com/meetalva/alva/commit/471da85))
* cache drag-related element states agressively ([8313785](https://github.com/meetalva/alva/commit/8313785))
* handle highlighting ondragenter/leave instead of over ([70bf591](https://github.com/meetalva/alva/commit/70bf591))
* improve basic message performance furhter ([f4abf91](https://github.com/meetalva/alva/commit/f4abf91))
* introduce custom message protocol to avoid json parsing where possible ([f34dba8](https://github.com/meetalva/alva/commit/f34dba8))
* mitigate worst performance cliffs via computed props ([ab1004d](https://github.com/meetalva/alva/commit/ab1004d))
* prioritize rendering over messages ([ddf4e59](https://github.com/meetalva/alva/commit/ddf4e59))
* remove heftiest drag/mouseover performance cliffs ([a55a00f](https://github.com/meetalva/alva/commit/a55a00f))
* save when changes are commited ([512fb16](https://github.com/meetalva/alva/commit/512fb16))
* send atomic change messages ([9876af9](https://github.com/meetalva/alva/commit/9876af9))
* use heuristics around elements to save rendering cycles ([d339081](https://github.com/meetalva/alva/commit/d339081))



<a name="0.7.0"></a>
# [0.7.0](https://github.com/meetalva/alva/compare/v0.6.0...v0.7.0) (2018-03-16)


### Bug Fixes

* **auto-updater:** correct value for progress bar and reset progress bar ([153806c](https://github.com/meetalva/alva/commit/153806c))
* **component:** Fix PatternListContainer unique key error ([26750dd](https://github.com/meetalva/alva/commit/26750dd))
* **component:** prevent app zooming ([bbf7e89](https://github.com/meetalva/alva/commit/bbf7e89))
* **component:** restore old pattern_list rendering behavior ([33bcb9f](https://github.com/meetalva/alva/commit/33bcb9f))
* **dist:** package react typings for distributed design-kit ([#289](https://github.com/meetalva/alva/issues/289)) ([3f4ec49](https://github.com/meetalva/alva/commit/3f4ec49))
* **electron:** use right url for "learn more" menu entry ([#172](https://github.com/meetalva/alva/issues/172)) ([75edbb1](https://github.com/meetalva/alva/commit/75edbb1))
* **lsg:** adjust property item label colors ([#159](https://github.com/meetalva/alva/issues/159)) ([7d7c83e](https://github.com/meetalva/alva/commit/7d7c83e)), closes [#147](https://github.com/meetalva/alva/issues/147)
* **lsg:** apply preview styling on webview element ([e74debf](https://github.com/meetalva/alva/commit/e74debf)), closes [#122](https://github.com/meetalva/alva/issues/122)
* **menu:** also close alva when all windows are hidden ([ee8b5c4](https://github.com/meetalva/alva/commit/ee8b5c4)), closes [#187](https://github.com/meetalva/alva/issues/187)
* **menu:** it is not possible to call toggleDevTools on browserWindow ([928e01c](https://github.com/meetalva/alva/commit/928e01c))
* **menu:** make sure that the page is done resizing before capture ([6bd6acf](https://github.com/meetalva/alva/commit/6bd6acf))
* **menu:** move update check execution in to the main process ([7f8ce94](https://github.com/meetalva/alva/commit/7f8ce94))
* **package:** update electron-updater to version 2.21.0 ([dae637b](https://github.com/meetalva/alva/commit/dae637b))
* **package:** update js-yaml to version 3.11.0 ([#266](https://github.com/meetalva/alva/issues/266)) ([122e071](https://github.com/meetalva/alva/commit/122e071))
* **package:** update mobx-react to version 4.4.3 ([#268](https://github.com/meetalva/alva/issues/268)) ([13c6937](https://github.com/meetalva/alva/commit/13c6937))
* **package:** update readts to version 0.2.0 ([#262](https://github.com/meetalva/alva/issues/262)) ([540ad9e](https://github.com/meetalva/alva/commit/540ad9e))
* **package:** update smoothscroll-polyfill to version 0.4.3 ([cc1d2af](https://github.com/meetalva/alva/commit/cc1d2af)), closes [#259](https://github.com/meetalva/alva/issues/259)
* **package:** update styled-components to version 3.2.0 ([#267](https://github.com/meetalva/alva/issues/267)) ([79a9aea](https://github.com/meetalva/alva/commit/79a9aea))
* **png-export:** longer wait time before screenshot ([dc27989](https://github.com/meetalva/alva/commit/dc27989))
* **preview:** make preview wrapper not absolute to enable page capturing ([79c59a5](https://github.com/meetalva/alva/commit/79c59a5))
* **preview:** stop component from highlighting when only props change ([37b778f](https://github.com/meetalva/alva/commit/37b778f))
* **release:** remove use of unknown dependency ([aa01853](https://github.com/meetalva/alva/commit/aa01853))
* **store:** don't ignore patterns in pattern root folder ([d9ace1a](https://github.com/meetalva/alva/commit/d9ace1a))
* **store:** don't try to save when there is no styleguide ([f9ef1dd](https://github.com/meetalva/alva/commit/f9ef1dd)), closes [#101](https://github.com/meetalva/alva/issues/101)
* **store:** name pattern root after folder on fs ([1b4cb1e](https://github.com/meetalva/alva/commit/1b4cb1e))
* **store:** naming of string-property file in imports ([#211](https://github.com/meetalva/alva/issues/211)) ([5652072](https://github.com/meetalva/alva/commit/5652072))
* **store:** normalize pattern ids across platforms ([#287](https://github.com/meetalva/alva/issues/287)) ([25b939d](https://github.com/meetalva/alva/commit/25b939d))
* **store:** page elements have stable IDs now, fixing UI lists ([55053d3](https://github.com/meetalva/alva/commit/55053d3))
* disable unhandled dragging interaction on main window ([0a0c45b](https://github.com/meetalva/alva/commit/0a0c45b)), closes [#177](https://github.com/meetalva/alva/issues/177)
* **store:** patternId migration path ([c67d58f](https://github.com/meetalva/alva/commit/c67d58f))
* **store:** preview/app race condition when loading a styleguide ([a0786b0](https://github.com/meetalva/alva/commit/a0786b0))
* **store:** re-implement pattern grouping / folders ([49f6bf8](https://github.com/meetalva/alva/commit/49f6bf8))
* **store:** restore pattern icon detection ([037dcc4](https://github.com/meetalva/alva/commit/037dcc4))
* **store:** typescript-react-analyzer respect fs folder structure ([dfd2fde](https://github.com/meetalva/alva/commit/dfd2fde))
* disable svg image dragging in <PatternList> ([44b85ef](https://github.com/meetalva/alva/commit/44b85ef)), closes [#177](https://github.com/meetalva/alva/issues/177)
* disabled drag-and-drop from outside the application ([cf1fe2f](https://github.com/meetalva/alva/commit/cf1fe2f))
* set default linebreak for ts files ([8f83c72](https://github.com/meetalva/alva/commit/8f83c72))


### Features

* **analyzer:** move decision for the renderer in to the analyzers ([1442f51](https://github.com/meetalva/alva/commit/1442f51))
* **auto-updater:** ask user before updating alva ([38c7766](https://github.com/meetalva/alva/commit/38c7766)), closes [#168](https://github.com/meetalva/alva/issues/168)
* **auto-updater:** set progress bar and add to menu ([e024cc4](https://github.com/meetalva/alva/commit/e024cc4)), closes [#84](https://github.com/meetalva/alva/issues/84)
* **config:** add styleguide option for choosing a specific analyzer ([a988121](https://github.com/meetalva/alva/commit/a988121))
* **logo:** new alva logo ([0903f24](https://github.com/meetalva/alva/commit/0903f24))
* **menu:** add context menu for page elements ([a8cd86e](https://github.com/meetalva/alva/commit/a8cd86e)), closes [#111](https://github.com/meetalva/alva/issues/111)
* **menu:** add option to export current page as png ([1c423b6](https://github.com/meetalva/alva/commit/1c423b6)), closes [#71](https://github.com/meetalva/alva/issues/71)
* **menu:** disable specific menu items for splashscreen ([c009cd2](https://github.com/meetalva/alva/commit/c009cd2))
* **menu:** new menuitem that opens settings file in default application ([f8676a7](https://github.com/meetalva/alva/commit/f8676a7)), closes [#195](https://github.com/meetalva/alva/issues/195)
* **page-element:** unique id for each page-element ([79bbb1a](https://github.com/meetalva/alva/commit/79bbb1a))
* **page-list:** page editable w doubleclick on page-item in dropdown ([1736b0b](https://github.com/meetalva/alva/commit/1736b0b))
* **preview:** highlight element on select ([2423a5d](https://github.com/meetalva/alva/commit/2423a5d))
* **preview-pane:** implement resizing of the preview-pane ([5f6e133](https://github.com/meetalva/alva/commit/5f6e133))
* **renderer:** switch between renderers based on analyser type ([a4008df](https://github.com/meetalva/alva/commit/a4008df))
* **splashscreen:** display OS menu ([bd21b62](https://github.com/meetalva/alva/commit/bd21b62))
* **store:** function for selecting element by it’s id ([d2ee04a](https://github.com/meetalva/alva/commit/d2ee04a))
* **store:** new function for converting page names to ids ([cad182b](https://github.com/meetalva/alva/commit/cad182b))
* **store:** new function for renaming pages ([73413d2](https://github.com/meetalva/alva/commit/73413d2))
* add ability to define a custom preview frame html wrapper ([47e1f4d](https://github.com/meetalva/alva/commit/47e1f4d))
* **webview:** disable node-integration for webview ([2d7d75e](https://github.com/meetalva/alva/commit/2d7d75e))
* **window:** minimum app window size ([239d788](https://github.com/meetalva/alva/commit/239d788)), closes [#107](https://github.com/meetalva/alva/issues/107)



<a name="0.6.0"></a>
# [0.6.0](https://github.com/meetalva/alva/compare/v0.5.0...v0.6.0) (2017-12-20)


### Bug Fixes

* pattern and property names: Automatic name guessing, and [@name](https://github.com/name) annotation ([3754a8c](https://github.com/meetalva/alva/commit/3754a8c))
* **build:** electron should now always find the correct js file ([#116](https://github.com/meetalva/alva/issues/116)) ([cd2e76d](https://github.com/meetalva/alva/commit/cd2e76d)), closes [#106](https://github.com/meetalva/alva/issues/106)
* **component:** adjust patternlist spacing ([#105](https://github.com/meetalva/alva/issues/105)) ([ed8d14e](https://github.com/meetalva/alva/commit/ed8d14e))
* **component:** fix pattern list search ([45cc05d](https://github.com/meetalva/alva/commit/45cc05d))
* **lsg:** remove fonts import ([9736df8](https://github.com/meetalva/alva/commit/9736df8))


### Features

* **component:** add error wrapper around preview components ([0325ea6](https://github.com/meetalva/alva/commit/0325ea6))
* **component:** add spacing ([5c52909](https://github.com/meetalva/alva/commit/5c52909))
* **component:** integrate icon in pattern list ([6f6cac1](https://github.com/meetalva/alva/commit/6f6cac1)), closes [#91](https://github.com/meetalva/alva/issues/91)
* **component:** move splash screen from preview to app main section, create styled splash screen ([b559d1b](https://github.com/meetalva/alva/commit/b559d1b))
* **component:** remove edit delete and add from page list ([2b51ee6](https://github.com/meetalva/alva/commit/2b51ee6))
* **component:** remove edit delete and add from project list ([29059da](https://github.com/meetalva/alva/commit/29059da))
* **component/app:** add spacing to page list ([#103](https://github.com/meetalva/alva/issues/103)) ([5df49bc](https://github.com/meetalva/alva/commit/5df49bc))
* **lsg:** add more clickable space to dropdown items ([84de0d1](https://github.com/meetalva/alva/commit/84de0d1))
* **lsg:** add textColor property to headline ([f75189a](https://github.com/meetalva/alva/commit/f75189a))
* **lsg:** adjust pattern list styling ([ff04ed0](https://github.com/meetalva/alva/commit/ff04ed0))
* **lsg:** change fallback pattern icon ([#119](https://github.com/meetalva/alva/issues/119)) ([4b352e4](https://github.com/meetalva/alva/commit/4b352e4))
* **lsg:** introduce button component ([78bd656](https://github.com/meetalva/alva/commit/78bd656))
* **lsg:** introduce copy component ([ed2fc0e](https://github.com/meetalva/alva/commit/ed2fc0e))
* **lsg:** introduce splash screen component ([f8a44aa](https://github.com/meetalva/alva/commit/f8a44aa))
* **lsg:** load external pattern icon as image source, adjust styling ([1642d7b](https://github.com/meetalva/alva/commit/1642d7b)), closes [#91](https://github.com/meetalva/alva/issues/91)
* **lsg:** remove left section from splash screen ([224fa86](https://github.com/meetalva/alva/commit/224fa86))
* **lsg:** remove margin from pattern list items ([c7a6b75](https://github.com/meetalva/alva/commit/c7a6b75))
* **store:** add get pattern icon path ([051990c](https://github.com/meetalva/alva/commit/051990c)), closes [#91](https://github.com/meetalva/alva/issues/91)
* make title property optional ([e6f38bf](https://github.com/meetalva/alva/commit/e6f38bf))


### Reverts

* **component): fix(component:** fix pattern list search, convert pattern name to lowercase ([#102](https://github.com/meetalva/alva/issues/102)) ([867e8d0](https://github.com/meetalva/alva/commit/867e8d0))



<a name="0.5.0"></a>
# [0.5.0](https://github.com/meetalva/alva/compare/v0.4.1...v0.5.0) (2017-12-19)


### Bug Fixes

* **component:** convert search term to lower case ([6d38ede](https://github.com/meetalva/alva/commit/6d38ede))


### Features

* **lsg:** new styling for pattern pane ([19b411e](https://github.com/meetalva/alva/commit/19b411e))
* **menu:** add functionality to also create a folder while selecting a space for the creation of th ([389c098](https://github.com/meetalva/alva/commit/389c098))



<a name="0.4.1"></a>
## [0.4.1](https://github.com/meetalva/alva/compare/v0.4.0...v0.4.1) (2017-12-18)



<a name="0.4.0"></a>
# [0.4.0](https://github.com/meetalva/alva/compare/v0.3.0...v0.4.0) (2017-12-18)


### Bug Fixes

* **component:** completly remove mobx devtools for now ([54970fe](https://github.com/meetalva/alva/commit/54970fe))
* **component:** readd mobx devtools ([3423ec7](https://github.com/meetalva/alva/commit/3423ec7))
* **component:** remove unused const ([a1939b1](https://github.com/meetalva/alva/commit/a1939b1))
* **components:** remove developer tools in production ([813ddd8](https://github.com/meetalva/alva/commit/813ddd8))
* **lsg:** broken intendantion ([2bad46f](https://github.com/meetalva/alva/commit/2bad46f))
* **lsg:** element property update on property patterns ([822b2b2](https://github.com/meetalva/alva/commit/822b2b2)), closes [#57](https://github.com/meetalva/alva/issues/57)
* **store:** clear selected element after element deletion ([5a21e46](https://github.com/meetalva/alva/commit/5a21e46)), closes [#58](https://github.com/meetalva/alva/issues/58)


### Features

* **component:** add direct download link to designkit ([e31dead](https://github.com/meetalva/alva/commit/e31dead))
* **component:** add pattern as next sibling of selected element when clicking on pattern item ([943cc5d](https://github.com/meetalva/alva/commit/943cc5d)), closes [#63](https://github.com/meetalva/alva/issues/63)
* **lsg:** add hover to property items ([2c1d6ee](https://github.com/meetalva/alva/commit/2c1d6ee))
* **lsg:** add styling to property boolean ([0bc168d](https://github.com/meetalva/alva/commit/0bc168d))
* **lsg:** add styling to property enum and add spacing to property items ([590e21b](https://github.com/meetalva/alva/commit/590e21b))
* **lsg:** bigger click-area for open/close icon on page-element ([#62](https://github.com/meetalva/alva/issues/62)) ([b78a347](https://github.com/meetalva/alva/commit/b78a347)), closes [#61](https://github.com/meetalva/alva/issues/61)
* **lsg:** change icon size ([bc0ff66](https://github.com/meetalva/alva/commit/bc0ff66))
* **lsg:** introduce dropdown component ([5c60539](https://github.com/meetalva/alva/commit/5c60539))
* **lsg:** when dragging a pattern only the icon should be visible under the cursor ([c63db83](https://github.com/meetalva/alva/commit/c63db83))
* **menu:** add pasted page-elements as siblings ([602f5c6](https://github.com/meetalva/alva/commit/602f5c6)), closes [#63](https://github.com/meetalva/alva/issues/63)
* **menu:** menu item to create a new copy of the designkit at specific location ([1144b25](https://github.com/meetalva/alva/commit/1144b25))
* **menu:** windows should use delete key for removing patterns ([#77](https://github.com/meetalva/alva/issues/77)) ([26d8e9d](https://github.com/meetalva/alva/commit/26d8e9d))
* **resources:** renew icon ([c56d159](https://github.com/meetalva/alva/commit/c56d159))
* **store:** add new function to add child as sibling to selected element ([c9d373b](https://github.com/meetalva/alva/commit/c9d373b))
* **store:** auto-saving page when switching to another page or styleguide ([1c96caf](https://github.com/meetalva/alva/commit/1c96caf))
* **store:** hiding of properties per meta-data ([0bab560](https://github.com/meetalva/alva/commit/0bab560))
* **store:** open first page of a given project ([3517990](https://github.com/meetalva/alva/commit/3517990))
* **store:** page element ancestry methods for drag-drop checks ([f3c9cd7](https://github.com/meetalva/alva/commit/f3c9cd7))
* **store:** save preference of last opened styleguide and page ([d833658](https://github.com/meetalva/alva/commit/d833658))
* **store:** support for default property values ([da599c8](https://github.com/meetalva/alva/commit/da599c8))
* **update:** add notification when there is a new version and try to auto update ([32c259c](https://github.com/meetalva/alva/commit/32c259c))
* add dropdown to pages, rename visible to open ([5b18a8a](https://github.com/meetalva/alva/commit/5b18a8a))
* add project list dropdown to chrome ([1017ddf](https://github.com/meetalva/alva/commit/1017ddf))
* remove lsg interface from component, make pattern list component independent from list compone ([245df6d](https://github.com/meetalva/alva/commit/245df6d))



<a name="0.3.0"></a>
# [0.3.0](https://github.com/meetalva/alva/compare/v0.2.1...v0.3.0) (2017-12-15)


### Features

* **component:** auto select new created page elements ([92ed1ce](https://github.com/meetalva/alva/commit/92ed1ce))



<a name="0.2.1"></a>
## [0.2.1](https://github.com/meetalva/alva/compare/v0.2.0...v0.2.1) (2017-12-15)



<a name="0.2.0"></a>
# [0.2.0](https://github.com/meetalva/alva/compare/v0.1.1...v0.2.0) (2017-12-15)


### Features

* **menu:** add duplicate function for elements ([0abb6fe](https://github.com/meetalva/alva/commit/0abb6fe))



<a name="0.1.1"></a>

# 0.1.0 (2017-12-15)

### Bug Fixes

* **build:** change order of build scripts ([ea75d12](https://github.com/meetalva/alva/commit/ea75d12))
* **component:** add key for unknown properties ([9635852](https://github.com/meetalva/alva/commit/9635852))
* **component:** changes green colors to black ([8f82f50](https://github.com/meetalva/alva/commit/8f82f50))
* **component:** correct preview pane size ([1adcfb1](https://github.com/meetalva/alva/commit/1adcfb1))
* **component:** default import for layout pattern ([a105812](https://github.com/meetalva/alva/commit/a105812))
* **component:** disable child grow in element pane ([2b99f8a](https://github.com/meetalva/alva/commit/2b99f8a))
* **component:** move app components in correct order again ([ddbf346](https://github.com/meetalva/alva/commit/ddbf346))
* **component:** move iconRegistry before the PreviewPane to have the css be overridden ([c451588](https://github.com/meetalva/alva/commit/c451588))
* **component:** only render elementlist children if there are some ([02a7cf7](https://github.com/meetalva/alva/commit/02a7cf7))
* **component:** remove styles from component area ([b380180](https://github.com/meetalva/alva/commit/b380180))
* **component:** remove unused active from pattern list item ([39ad0e9](https://github.com/meetalva/alva/commit/39ad0e9))
* **component:** reorder components to fix a styledcomponents problem with multiple sources ([757a6bd](https://github.com/meetalva/alva/commit/757a6bd))
* **components:** improve welcome message ([cfb4f86](https://github.com/meetalva/alva/commit/cfb4f86))
* **container:** add missing interface for list pattenr ([d9238c8](https://github.com/meetalva/alva/commit/d9238c8))
* **lsg:** adjust list styles, fix demo ([d0cdbf0](https://github.com/meetalva/alva/commit/d0cdbf0))
* **lsg:** broken indentation and missing interface ([a90f70c](https://github.com/meetalva/alva/commit/a90f70c))
* **lsg:** change component export to default ([014c83a](https://github.com/meetalva/alva/commit/014c83a))
* **lsg:** correct spacings and icon sizes for element pattern ([5eb8e60](https://github.com/meetalva/alva/commit/5eb8e60))
* **lsg:** correct use of onDragStart event ([eeb88ca](https://github.com/meetalva/alva/commit/eeb88ca))
* **lsg:** drag option on li items ([23d3bec](https://github.com/meetalva/alva/commit/23d3bec))
* **lsg:** export list child components as class ([5fc7f79](https://github.com/meetalva/alva/commit/5fc7f79))
* **lsg:** import default from layout ([ef5aa78](https://github.com/meetalva/alva/commit/ef5aa78))
* **lsg:** remove blind spreading of operators ([b589898](https://github.com/meetalva/alva/commit/b589898))
* **lsg:** remove z-index from elements, clean up patterns ([f699040](https://github.com/meetalva/alva/commit/f699040))
* **lsg:** use getSpace function ([985be31](https://github.com/meetalva/alva/commit/985be31))
* **lsg:** use valid color variables ([16ae192](https://github.com/meetalva/alva/commit/16ae192))
* **menu:** rename open-styleguide item, no hard-coded page ID ([2be9a05](https://github.com/meetalva/alva/commit/2be9a05))
* **resources:** change icns icon ([0283659](https://github.com/meetalva/alva/commit/0283659))
* **store:** enum property type ordinals ([add169f](https://github.com/meetalva/alva/commit/add169f))
* **store:** failed to load page ([e342099](https://github.com/meetalva/alva/commit/e342099))
* **store:** observe patternRoot ([c0cbacf](https://github.com/meetalva/alva/commit/c0cbacf))
* set global app styles ([c647727](https://github.com/meetalva/alva/commit/c647727))
* **store:** return template string ([aed24f1](https://github.com/meetalva/alva/commit/aed24f1))
* **store:** use children directly instead of getChildren ([dc58f25](https://github.com/meetalva/alva/commit/dc58f25))
* **store/preview:** auto-state update ([8633cd2](https://github.com/meetalva/alva/commit/8633cd2))

### Features

* add ability to open a project ([0f522b2](https://github.com/meetalva/alva/commit/0f522b2))
* add drag and drop to element-list elements ([3996f36](https://github.com/meetalva/alva/commit/3996f36))
* add spacing, remove title from pattern list ([6474212](https://github.com/meetalva/alva/commit/6474212))
* add styling ([26ab28e](https://github.com/meetalva/alva/commit/26ab28e))
* change margin to padding ([f4f1fbf](https://github.com/meetalva/alva/commit/f4f1fbf))
* change stacked to alva over the whole application ([ebf886a](https://github.com/meetalva/alva/commit/ebf886a))
* create observable for rearrange elements ([b7c9c34](https://github.com/meetalva/alva/commit/b7c9c34))
* integrate pattern list items ([e7e6abd](https://github.com/meetalva/alva/commit/e7e6abd))
* **store:** tabs for saved project files ([af7587d](https://github.com/meetalva/alva/commit/af7587d))
* integrate pattern list search ([a710ec4](https://github.com/meetalva/alva/commit/a710ec4))
* introduce link component ([#53](https://github.com/meetalva/alva/issues/53)) ([4833984](https://github.com/meetalva/alva/commit/4833984))
* list recursion ([804511e](https://github.com/meetalva/alva/commit/804511e))
* **build:** dist now always trys to build for all platforms ([f14ff6e](https://github.com/meetalva/alva/commit/f14ff6e))
* **build:** rename application to Alva ([49a12a0](https://github.com/meetalva/alva/commit/49a12a0))
* **component:** add keyboard shortcut for opening new project ([7854a0b](https://github.com/meetalva/alva/commit/7854a0b))
* **component:** add message for opening the designkit ([de03059](https://github.com/meetalva/alva/commit/de03059))
* **component:** add new pattern to selected element when clicking on a pattern ([127003e](https://github.com/meetalva/alva/commit/127003e))
* **component:** add space around ui sections ([139db5a](https://github.com/meetalva/alva/commit/139db5a))
* **component:** add space to project list ([899e774](https://github.com/meetalva/alva/commit/899e774))
* **component:** change fallback link text to plain text ([d348cec](https://github.com/meetalva/alva/commit/d348cec))
* **component:** element can now be selected ([15397e1](https://github.com/meetalva/alva/commit/15397e1))
* **component:** elements can now be dragged to a specific position ([8e136a2](https://github.com/meetalva/alva/commit/8e136a2))
* **component:** filter list items by search term ([aa08895](https://github.com/meetalva/alva/commit/aa08895))
* **component:** functionality to add patterns to element list with drag and drop ([a2e3feb](https://github.com/meetalva/alva/commit/a2e3feb))
* **component:** integrate pattern navigation ([806e763](https://github.com/meetalva/alva/commit/806e763))
* **component:** menu for saving projects ([a7f922f](https://github.com/meetalva/alva/commit/a7f922f))
* **component:** move tabnavigation to app ([94cbcc6](https://github.com/meetalva/alva/commit/94cbcc6))
* **component:** remove properties from components ([f4abd78](https://github.com/meetalva/alva/commit/f4abd78))
* **component:** render element list with lsg components ([2516ff9](https://github.com/meetalva/alva/commit/2516ff9))
* **component:** shortcuts for managing page elements ([526318c](https://github.com/meetalva/alva/commit/526318c))
* **component:** show selected pattern as highlighted ([4afc66b](https://github.com/meetalva/alva/commit/4afc66b))
* **component:** simplify functions ([f86d353](https://github.com/meetalva/alva/commit/f86d353))
* **component:** toggle for elements ([ce93c6a](https://github.com/meetalva/alva/commit/ce93c6a))
* **component:** use headline lsg pattern for list headlines ([be3cadf](https://github.com/meetalva/alva/commit/be3cadf))
* **components:** add icon registry in electron ([c4a4a63](https://github.com/meetalva/alva/commit/c4a4a63))
* **components:** use layout pattern instead of styling it in components ([8a024e6](https://github.com/meetalva/alva/commit/8a024e6))
* **container:** render list of properties with correct type elements ([52eb838](https://github.com/meetalva/alva/commit/52eb838))
* **electron:** add hotkey highlighting for windows ([3eaac4a](https://github.com/meetalva/alva/commit/3eaac4a))
* **electron:** extend OS menu-bar with alva menu items ([9fbf494](https://github.com/meetalva/alva/commit/9fbf494))
* **electron:** move preview in webview ([3cebb70](https://github.com/meetalva/alva/commit/3cebb70))
* **leg:** rotate arrow when element is open ([7c55977](https://github.com/meetalva/alva/commit/7c55977))
* **ListItem:** active style ([2de3da9](https://github.com/meetalva/alva/commit/2de3da9))
* **lsg:** add animation to element drag placeholder ([f72b27c](https://github.com/meetalva/alva/commit/f72b27c))
* **lsg:** add arrows to element list ([9d9d2b3](https://github.com/meetalva/alva/commit/9d9d2b3))
* **lsg:** add different cursors for pattern-item based on bound events ([2ec9a69](https://github.com/meetalva/alva/commit/2ec9a69))
* **lsg:** add hover state to element ([92e4c10](https://github.com/meetalva/alva/commit/92e4c10))
* **lsg:** add input styles ([229dcef](https://github.com/meetalva/alva/commit/229dcef))
* **lsg:** add new style for chrome, property pane and element pane ([a968f87](https://github.com/meetalva/alva/commit/a968f87))
* **lsg:** add new styling to property string item ([b0ad316](https://github.com/meetalva/alva/commit/b0ad316))
* **lsg:** add placeholder and drag events for element list ([f55f3a6](https://github.com/meetalva/alva/commit/f55f3a6))
* **lsg:** adjust tab-navigation styles ([1778f79](https://github.com/meetalva/alva/commit/1778f79))
* **lsg:** broken intendantion ([2e7590e](https://github.com/meetalva/alva/commit/2e7590e))
* **lsg:** capitalize element name ([fed82b1](https://github.com/meetalva/alva/commit/fed82b1))
* **lsg:** click event handler for layout pattern ([d4afbae](https://github.com/meetalva/alva/commit/d4afbae))
* **lsg:** drag drop event handler for elements and list pattern ([bdc70ae](https://github.com/meetalva/alva/commit/bdc70ae))
* **lsg:** element only renders icon when there are children ([0f6af31](https://github.com/meetalva/alva/commit/0f6af31))
* **lsg:** export default ([dcf762d](https://github.com/meetalva/alva/commit/dcf762d))
* **lsg:** handleClick for element and icons pattern ([6fa0dca](https://github.com/meetalva/alva/commit/6fa0dca))
* **lsg:** handleClick for element pattern ([706a296](https://github.com/meetalva/alva/commit/706a296))
* **lsg:** increase left padding ([8ba5705](https://github.com/meetalva/alva/commit/8ba5705))
* **lsg:** introduce demo container component ([1b1885c](https://github.com/meetalva/alva/commit/1b1885c))
* **lsg:** introduce icon and pattern-list-item component ([3f70c33](https://github.com/meetalva/alva/commit/3f70c33))
* **lsg:** introduce input component ([bb3b30e](https://github.com/meetalva/alva/commit/bb3b30e))
* **lsg:** introduce layout component ([51ac9ed](https://github.com/meetalva/alva/commit/51ac9ed))
* **lsg:** introduce space component ([f2accd7](https://github.com/meetalva/alva/commit/f2accd7))
* **lsg:** introduce tab-navigation component ([9fd4013](https://github.com/meetalva/alva/commit/9fd4013))
* **lsg:** invert icon color when element item is active ([6d83b8f](https://github.com/meetalva/alva/commit/6d83b8f))
* **lsg:** justify layout children ([c8046fd](https://github.com/meetalva/alva/commit/c8046fd))
* **lsg:** label for enum-item ([11213a6](https://github.com/meetalva/alva/commit/11213a6))
* **lsg:** margins for layout pattern ([45029ac](https://github.com/meetalva/alva/commit/45029ac))
* **lsg:** new element pattern ([0a7f603](https://github.com/meetalva/alva/commit/0a7f603))
* **lsg:** new font pattern ([39fe974](https://github.com/meetalva/alva/commit/39fe974))
* **lsg:** new headline pattern ([8e3f947](https://github.com/meetalva/alva/commit/8e3f947))
* **lsg:** new pattern boolean-item ([872d910](https://github.com/meetalva/alva/commit/872d910))
* **lsg:** new pattern enum-item ([8ab9589](https://github.com/meetalva/alva/commit/8ab9589))
* **lsg:** new string-item pattern ([15ab218](https://github.com/meetalva/alva/commit/15ab218))
* **lsg:** output right size name in demo ([61ede8e](https://github.com/meetalva/alva/commit/61ede8e))
* **lsg:** replace spaces ([adcc3df](https://github.com/meetalva/alva/commit/adcc3df))
* **lsg:** required prop for enum-item renders empty option when false ([c738430](https://github.com/meetalva/alva/commit/c738430))
* **lsg:** style element pattern without its children and also listen only on label area for click ([fbc27b6](https://github.com/meetalva/alva/commit/fbc27b6))
* **menu:** cut/copy/paste support ([5411166](https://github.com/meetalva/alva/commit/5411166))
* **resources:** add alva icons ([4dc294c](https://github.com/meetalva/alva/commit/4dc294c))
* **store:** add parent relation in page element ([aaf999c](https://github.com/meetalva/alva/commit/aaf999c))
* **store:** add, remove, edit of project and page-ref ([238f98b](https://github.com/meetalva/alva/commit/238f98b))
* **store:** add, remove, move page elements ([9dbe3f4](https://github.com/meetalva/alva/commit/9dbe3f4))
* **store:** continue store API and pattern resolution ([ca4216d](https://github.com/meetalva/alva/commit/ca4216d))
* **store:** continue store API and pattern resolution ([98f1835](https://github.com/meetalva/alva/commit/98f1835))
* **store:** cut/copy/paste support ([50eb476](https://github.com/meetalva/alva/commit/50eb476))
* **store:** edit text child elements ([abd7f85](https://github.com/meetalva/alva/commit/abd7f85))
* **store:** improve object property type ([0eeb60c](https://github.com/meetalva/alva/commit/0eeb60c))
* **store:** load page when webview is loaded ([255ada4](https://github.com/meetalva/alva/commit/255ada4))
* **store:** move function to get index of page element in store ([daa231f](https://github.com/meetalva/alva/commit/daa231f))
* **store:** property name parsing js-doc ([182cdcf](https://github.com/meetalva/alva/commit/182cdcf))
* **store:** property name parsing js-doc ([d163bb3](https://github.com/meetalva/alva/commit/d163bb3))
* **store:** property type system, setter, and coercing ([a961ab6](https://github.com/meetalva/alva/commit/a961ab6))
* **store:** property type system, setter, and coercing ([af2a581](https://github.com/meetalva/alva/commit/af2a581))
* **store:** provide current project ([246b706](https://github.com/meetalva/alva/commit/246b706))
* **store:** save and load of pages, as well as preview ([aee3caa](https://github.com/meetalva/alva/commit/aee3caa))
* **store:** save projects and page refs ([20bb970](https://github.com/meetalva/alva/commit/20bb970))
* **store:** search patterns ([b3204b7](https://github.com/meetalva/alva/commit/b3204b7))
* make elements deselectable ([c92c309](https://github.com/meetalva/alva/commit/c92c309))
* **store:** state if there is a focused page element can not be set and read from store ([127ddd8](https://github.com/meetalva/alva/commit/127ddd8))
* move global styles to lsg ([9ebda51](https://github.com/meetalva/alva/commit/9ebda51))
* move list to lsg ([fc0d495](https://github.com/meetalva/alva/commit/fc0d495))
* move panes to lsg ([53fd5fa](https://github.com/meetalva/alva/commit/53fd5fa))
* move styles from component to lsg ([f514a9b](https://github.com/meetalva/alva/commit/f514a9b))
* script for building alva ([05c1a98](https://github.com/meetalva/alva/commit/05c1a98))
* **store:** selectable element ([d1a61a7](https://github.com/meetalva/alva/commit/d1a61a7))
* **store:** send updated page to webview when pattern propertys change ([83f121b](https://github.com/meetalva/alva/commit/83f121b))
* **store:** support for more property types ([9a96741](https://github.com/meetalva/alva/commit/9a96741))
* **store:** switch from JSON to YAML ([0b8b5c9](https://github.com/meetalva/alva/commit/0b8b5c9))
* **store:** switch from JSON to YAML ([a52b4cb](https://github.com/meetalva/alva/commit/a52b4cb))

### Reverts

* remove unset function for selected elements ([b6e367c](https://github.com/meetalva/alva/commit/b6e367c))
