---
displayName: The story behind Alva
options:
  order: 1
---

# The story behind Alva
**In today’s tool landscape, oldtimers like Photoshop and slightly newer tools like Sketch still play their roles. This means there are multiple sources of truth, making it hard to find out which truth is the real one. We try to design interactive products with static tools.**

To change that, Alva consumes component libraries to let users create complex compositions of real components.

```
„Even the most ‚advanced‘ digital design tools are based on workflows for drawing mere pictures of interfaces.“
–Daniel Eden, Facebook Product Designer
```

## Alva’s mission is to put an end to static and sandboxed tools that create more problems in today’s environment than they solve.

!(youtube:https://www.youtube.com/embed/gZT13EKfZXg)

The overall goal is to bring concept, design and engineering closer together by linking them through a strong toolchain (of which Alva of course is just one of several tools). Product teams shall be liberated from many chores of maintenance to focus more on innovation instead.

This should mean less waste and less faults, lead to better products and bring more freedom for designers and engineers. Alva aims to enable

* **friction-less** design by bringing web technology into web design, and
* **interactivity as the next dimension** of visual interface design by instant prototyping.

## During the next years, the team wants to go for

* **new ways of interaction** beyond visual interface design, e.g. voice, chat, gestures and facial expressions,
* **complex, contextual design** based on device data, user environment, preferences and behaviour,
* **automated design** by setting up the design system instead of specific screens, and the future of design through an entirely open architecture and open source code.



## »Alva« is the middle name of Thomas Alva Edison, who made electricity available to the public.

Alva started in August 2017 as an initiative at SinnerSchrader and since then a quite small, but very powerful cross-functional product design and engineering team is working hard on building and evolving the Alva app and its ecosystem. We learned a lot from the engineering world, where most of the tools and platforms are open source. That’s why we decided to make Alva entirely open source, too. To give something back to the community.
