---
displayName: 3. Use variables in inputs

tags:
  - guide
  - design
  - variables

options:
  order: 3
---

# Use variables in inputs

---

Learn how to employ user data provided in your prototype.

## 1. Add Input
To show interactivity we need an interactive component. Let's **add an input**.

> Technical Note: For Interactive Elements you need an `React.ChangeEventHandler` or `React.EventHandler` property.

![](https://media.meetalva.io/guides/guide-04-01.gif)

## 2. Define a variable
Below the input properties you'll find an **Interaction Property**. **Set it to** `Set Variable`.
Next **give it a name** by typing in your desired name.
Lastly you need to define the **Payload**. Set it to `value`.

![](https://media.meetalva.io/guides/guide-04-02.gif)

## 3. Link component to a value
To make use of your defined variable, you need to consume it in a component.
In the *Input* component click on the *link* icon at the *value property* and select your previously defined variable.

![](https://media.meetalva.io/guides/guide-04-03.gif)

## 4. Start typing away
You input component now accepts the value you type in. yay! 

![](https://media.meetalva.io/guides/guide-04-04.gif)

---

## Next

* **Next**: [Add Design Dradfts](./doc/docs/guides-design/design-drafts.html?guides-enabled=true&guides-design-enabled=true)

