---
displayName: Privacy Policy
options:
  order: 99
---

# Privacy Policy / Data Protection Declaration General Information
As being responsible for this website, we take the protection of your personal data very seriously. We treat your personal data confidentiality in particular in accordance with the statutory data protection regulations. By using this website, various personal data is collected. Personal data is data that you can be personally identified with. This data protection declaration describes which data we collect and for what we use it. It also explains how and for what purpose this is done. We would like to point out that data transmission over the Internet (e.g. communication by e-mail) can have security gaps. A complete protection of data against access by third parties is not possible.

Our website may be used without entering personal information. Different rules may apply to certain services on our site, however, and are explained separately below. We collect personal information from you (e.g. name, address, email address, telephone number, etc.) in accordance with the provisions of German data protection statutes. Information is considered personal if it can be associated exclusively to a specific natural person. The legal framework for data protection may be found in the German Federal Data Protection Act (BDSG) and the Telemedia Act (TMG). The provisions below serve to provide information as to the manner, extent and purpose for collecting, using and processing personal information by the provider.

## Responsible for the website
SinnerSchrader Deutschland GmbH | SinnerSchrader Group
Völckersstraße 38
22765 Hamburg
Germany

Managing Board:
Matthias Schrader (CEO), Jürgen Alker, Dr. Axel Averdung, Holger Blank, Thomas Dyckhoff, Dr. Lars Finke, Martin Gassner, Peggy Hutchinson

## Responsible for data protection
SinnerSchrader Deutschland GmbH | SinnerSchrader Group
Data Protection Officer
Völckersstraße 38
22765 Hamburg
Germany
datenschutz-ag@sinnerschrader.com

## Visiting our webiste
By visiting our website we process certain data of our visitors. What kind of data, on which legal basis, for what purpose and for how long we process, please read our subsequent data privacy policy.

### Providing our website
By loading our webpage, some data is being stored in a web server protocol file:

* Date and time of the request for the load of the web page
* Size of the data package being transmitted within the connection
* Type and version of the used browser as well as your IP address

Furthermore, we store the following information:

* HTTP Method
* Host name
* URI of the request
* HTTP Response Code
* Referrer
* User-Agent
* Result, Edge Request-ID
* Host Header, HTTP-Protocol, Time to first byte, x-forward header, SSL-Protocol and SSL cypher, Protocol version, FLE-Status, FLE encrypted fields.

The legal base for the processing of your IP address is Art. 6, para. 1, lit. f) GDPR. Our legitimate interest to store this data is based on the following purposes:

* ensure a seamless connection establishment
* ensure the smooth usage of our website / application
* technical analysis of the system security and stability

Your IP address is generally not stored, we especially do not use it for analysing personal data. A full storage of the IP address would only happen so that we can track technical errors or hacker attacks. Our web servers are configured in a way that your IP address is deleted in a timely manner after your visit of our site.

### Cloudflare
Cloudflare is a cloud service provider and content delivery network. Here we host and operate our website. Legal basis for using Cloudflare on our website is the privacy shield framework (https://www.privacyshield.gov/participant?id=a2zt0000000GnZKAA0&status=Active). We may process your personal data until our legitimate interest ceases to exist.

For more details of Cloudflare’s privacy and security processes, please visit https://www.cloudflare.com/security-policy/.

## Use of YouTube
Our website uses the YouTube video platform operated by YouTube LLC, 901 Cherry Ave. San Bruno, CA 94066 USA. YouTube is a platform that enables playback of audio and video files. When you load a page on our website, the integrated YouTube player establishes a connection to YouTube in order to ensure the technical transmission of the video or audio file. When the connection to YouTube is established, data is transferred to YouTube.

For information about the scope and purpose of data collection, the further processing and use of the data by YouTube and your rights and the settings you can configure to protect your privacy, please refer to the YouTube Privacy Guidelines: https://www.youtube.com/t/privacy_guidelines.

## Rights according to legal data protection regulations
You have the right to request information, correction, deletion or blocking of your personal data. As far as you should request deletion of your personal data stored by us, we will execute your request without undue delay, unless legal duties for documentation or storage apply. You can object to the usage of your personal data for advertising or market research purposes or revoke given opt-ins at any time.

In case we process personal data of you, you are so called “affected” within the meaning of the General Data Protection Regulation (GDPR) and you have the following rights vis-à-vis the controller:

* Right to information according to Art. 15 GDPR
You have the right to get information for free about your personal data stored by us at any time. Furthermore, you have the right to have your data provided to us transferred to yourself or a third party at any time.

* Right to correct any information that is inaccurate or incomplete according to Art. 16 GDPR
* Right to Deletion according to Art. 17 GDPR
* Right to limitation of processing according to Art. 18 GDPR

At your request, we will correct, block or delete the personal data stored about you, provided that other statutory regulations (e.g. obligations to store data from the German Commercial Code) do not prevent this.

* Right to data transferability according to Art. 20 GDPR
You have the right to get information about your personal data for free in a structured, current and readable format

* Right of contradiction/revocation of permission according to Art. 21 GDPR
If you have given us your consent to process your personal data, you can revoke this at any time

* Right of complaint to the national supervisory authority according to Art. 13 para. 2 lit. d) GDPR
Without prejudice to any other administrative or judicial remedy, you have the right of appeal to a supervisory authority, in particular in the Member State where you reside, work or suspect of infringement, if you believe that the processing of personal data concerning you is contrary to the GDPR.

The supervisory authority to which the complaint has been lodged shall inform the complainant of the status and results of the complaint, including the possibility of a judicial remedy according to Art. 78 GDPR.

In order to process your request (please mail: datenschutz-de@sinnerschrader.com), we are obliged to check your identity carefully. Please understand that we reserve the right - depending on the criticality of the data - to request further information or proof of identity. This serves in particular to protect your personal data from unauthorized access by third parties. We would like to point out that we reserve the right not to process requests that are received inappropriately frequently or without corresponding proof of identity. We will inform you of this in writing (via E-Mail).

## Children
Persons under 16 should not send us personal data without the consent of their parents or persons with parental power. We ask for no personal data from children and adolescents, nor do we collect such information nor pass it on to third parties.

## Use Of Cookies
Cookies are small text files that are stored on your computer and saved by your browser. Cookies do not cause any damage to your computer and do not contain any viruses. Our cookies remain stored on your terminal for a certain period of time.

In your browser settings, you can determine whether you want to be informed merely about the setting of a cookie, whether you want to grant or exclude permission either for individual cases or for cookies in general, or whether you want cookies to be automatically deleted when your browser is closed. Disabling cookies may limit the functionality of this website.

Cookies, which are necessary for the execution of the electronic communication process or for the provision of certain functions desired by you, are stored on the basis of Art. 6 para. 1 lit. f) GDPR. The website operator has a legitimate interest in the storage of cookies for technically error-free and optimized provision of his services. If other cookies (e.g. cookies for analyzing your surfing behavior) are stored, they are handled separately under the analysis service used.

Our cookies remain on your computer for a certain period of time enabling our cloud provider to recognize your computer behind a shared IP-address space on the basis of the logged data (visit to our website including date and time, browser type, operating system) in order to provide end user security.

### Cloudflare
https://support.cloudflare.com/hc/en-us/articles/200170156-What-does-the-Cloudflare-cfduid-cookie-do-

## Newsletter
With the following information we inform you about the contents of our newsletter as well as the registration, dispatch and statistical evaluation procedures as well as your right of objection. By subscribing to our newsletter, you agree to the receipt and the procedures described.

The legal basis for sending our newsletter is your consent via double opt-in according to Art. 6 para. 1 lit. a GDPR.

### Newsletter Content
We send newsletters and e-mails containing promotional information (hereinafter referred to as “Newsletter”) only with the consent of the recipient. Provided that in the context of a registration to the newsletter whose contents are specifically described, they are decisive for the consent of the users. In our newsletters we inform you periodically about current developments of Alva and further events by email.

### Use of “MailChimp” shipping service provider
We use MailChimp to send our newsletter to our subscribers. MailChimp is a service provided by The Rocket Science Group, LLC, 512 Means Street, Suite 404, Atlanta, GA 30318, USA.

The email addresses of our newsletter recipients, as well as any other information described in this notice, are stored on the servers of MailChimp in the USA. MailChimp uses this information for sending and to evaluate the newsletters on our behalf. Furthermore, MailChimp can use its own information to check these Use data to optimize or improve your own services, e.g. to technically optimize shipping and the presentation of the newsletter or for economic purposes, in order to determine from which countries the recipients come.

The data stored when you registered for the newsletter (E-mail address, name, IP address, and time and date of registration) will be sent to a server operated by The Rocket Science Group in the United States and stored there in accordance with the EU-US Privacy Shield. MailChimp uses this information for sending and to evaluate the newsletters on our behalf. Furthermore, MailChimp can use its own information to check these Use data to optimize or improve your own services, e.g. to technically optimize shipping and the presentation of the newsletter or for economic purposes, in order to determine from which countries the recipients come. However, MailChimp does not use the data of our newsletter recipients to write them down itself or to send them back to us.

We trust in the reliability and IT and data security of MailChimp. MailChimp is protected under the US-EU Data Protection Agreement “Privacy Shield” and is thus committed to comply with EU data protection regulations. Furthermore, we have created with MailChimp a “Data Processing Agreement”. This is a contract, in which MailChimp is responsible for to protect the data of our users in accordance with their data protection regulations on our behalf and in particular not to pass them on to third parties. The data protection regulations of MailChimp can be viewed here.

Further information about the data protection offered by MailChimp can be found at:

https://mailchimp.com/legal/privacy/

Further information about the EU-US Privacy Shield can be found at:

Die Bundesbeauftragte für den Datenschutz und die Informationsfreiheit

https://ec.europa.eu/info/law/law-topic/data-protection_en

### Double opt-in and logging
The registration for our newsletter takes place in a so-called double opt-in procedure. This means that you will receive an e-mail after registration, in which you will be asked to confirm your registration. This confirmation is necessary so that no one can log on with foreign e-mail addresses. The registrations for the newsletter are recorded in order to be able to prove the registration process according to legal requirements. Therefore we store the login and the confirmation time, as well as the IP address. Also, the changes to your data stored with the shipping service provider (MailChimp) are logged.

### Logon data
To subscribe to the newsletter, it is sufficient to provide your e-mail address. Optionally, we ask you to give a name in the newsletter for personal address.

### Newsletter Consent
You will be asked to consent to the use of your personal data to receive our newsletter as follows:

“By entering your e-mail address and clicking the button below, you confirm that you are 16 years or older. You agree that Alva (represented by SinnerSchrader Deutschland GmbH, Völckersstraße 38, 22765 Hamburg) will use the data and information provided by you in connection with the use of the newsletter to regularly send you information about Alva by e-mail. By clicking below, you agree that Alva may process your information in accordance with these terms. You can change your mind at any time by clicking the unsubscribe link in the footer of any e-mail you receive from us, or by contacting us at hey@meetalva.io. Alva will treat your information with respect. For further information, please see our privacy policy on our website.”

### Statistical survey and analysis
The newsletters contain a so-called “web-beacon”. A pixel-sized file retrieved from the server of the shipping service provider when the newsletter is opened. Within the framework of this call, technical information, such as information about the browser and your system, as well as your IP address and time of the call-up are collected. This information is used to technically improve the services based on the technical data or the target groups and their reading behavior by means of their polling points (which can be determined using the IP address) or the access times. Statistical surveys also include determining whether the newsletters are opened, when they are opened, and which links are clicked. This information can be assigned to individual newsletter recipients for technical reasons. It is, however, neither our endeavor, nor that of the shipping service provider, to observe individual users. The evaluations are much more useful for us to recognize the reading habits of our users and adapt our content to them or to send different content according to the interests of our users.

### Cancellation / Revocation
We may process your personal data until you revoke your consent. You can cancel the receipt of our newsletter at any time, i.e. revoke your consent. So that goes out at the same time your consents to its dispatch via MailChimp and the statistical analyses. A separate revocation of sending via MailChimp or the statistical evaluation is unfortunately not possible.

A link to cancel the newsletter can be found at the end of each newsletter.

For instructions to take this step, please refer to the confirmation e-mail and each newsletter.

## Web Analysis
For the purpose of demand-oriented design, business management evaluation and control of the website and the continuous optimisation of our pages, we use the services described below on the basis of Art. 6 para. 1 lit. f GDPR. We may process your personal data until our legitimate interest ceases to exist.

### Use of Google Analytics with anonymisation
Based on our legitimate interests (i.e. interest in analysis, optimisation and economic analysis), we set a high value on the quality of our services. Operation of our online offer within the meaning of Art. 6 para. 1 lit. f GDPR) Google Analytics, a web analytics service of Google LLC (“Google”). The use includes the “Universal Analytics” operating mode.
Google uses cookies. The information generated by the cookie about usage of the online offer by the users are usually transferred to a Google server in the USA and stored there.

Google is certified under the Privacy Shield Agreement and thus offers a guarantee of compliance with the European data protection law
(https://www.privacyshield.gov/participant?id=a2zt000000001L5AAI&status=Active).

Google uses this information at the request of, and on behalf of, the operator of this website to evaluate your use of the website, to create reports on the website activities, and to provide the website’s operator with additional services connected with the use of the website and the Internet.
Pseudonymous user profiles can be created from the processed data.

We only use Google Analytics with IP anonymisation enabled. This means that the IP address of the users will be transferred by Google within Member States of the European Union or in other States Parties to the Agreement on the European Economic Area. Only in exceptional cases the whole IP address will be first transferred to a Google server in the USA and truncated there.

The IP address transmitted by the user’s browser is not merged with other Google data. Users can prevent the storage of cookies by setting their browser software accordingly. In addition, you can disable the cookie’s sending of the data it has created concerning your use of this website (including your IP address) to Google and the processing of this data by Google if you download and install the browser plugin that is available under the following link: https://tools.google.com/dlpage/gaoptout?hl=en.

 To opt-out from Google Analytics tracking for this site, visit https://www.meetalva.io and click "opt-out tracking" in the footer at the end of the page.

Our legitimate interest in data processing also lies in these purposes. The legal basis for the use of Google Analytics is § 15 para. 3 TMG and Art. 6 para. 1 lit. f GDPR. The data sent by us and linked to cookies, user-identifiers (e.g. User-IDs) or advertising-identifiers are automatically deleted after 26 months. Data whose retention period has been reached is automatically deleted once a month.

## Link to third parties
### Embedding of external platforms
You will find links to other websites on this website, directly or indirectly by means of links. The legal basis for such processing is our legitimate interest pursuant to Art. 6 para. 1 lit. f) GDPR. We may process your personal data until our legitimate interest ceases to exist.

We hereby expressly distance ourselves from all contents of these sites to which links are established and do not adopt these contents as our own. We do not have any influence on changes of the linked content. Our website may contain links to other providers’ websites, which are not covered by this data protection policy. To the extent that the use of websites of other providers involves the capture, processing and use of personal data, please refer to the data protection policy of the relevant provider.

Version: May 2019
