import * as M from '@meetalva/message';
import * as Mobx from 'mobx';
import * as Model from '@meetalva/model';
import { MessageHandlerContext, MessageHandler } from '../create-handlers';
import * as Types from '@meetalva/types';

export function highlightElement({
	store
}: MessageHandlerContext): MessageHandler<M.HighlightElement> {
	return m => {
		Mobx.runInAction(Types.ActionName.MatchHighlightedElement, () => {
			const project = store.getProject();

			if (!project) {
				return;
			}

			if (!m.payload.element) {
				return;
			}

			const el = Model.Element.from(m.payload.element, { project });
			const previousEl = project.getElementById(el.getId());

			if (!previousEl) {
				return;
			}

			store.setHighlightedElement(previousEl, { flat: !store.getMetaDown() });
		});
	};
}
